class_name ItemContainer extends Node

@export var inventory: Inventory

func has_item(item: Item) -> bool:
    return inventory.has_item(item)

func find(item: Item) -> Option:
    return inventory.find(item)

func add_item(item: Item, quantity: int = 1):
    return inventory.add_item(item, quantity)

func remove_item(item: Item, quantity: int = 1):
    return inventory.remove_item(item, quantity)

func iter() -> Inventory.InventoryIterator:
    return inventory.iter()
